Update a bank statement Run in API Explorer
Ask AI
PUT
/api/v1/bank-statement/{bankStatement_uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/bank-statement/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"date":"2026-07-20","name":"Aviva Statement #8434","reference":"NAT#8434"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"date": "2026-07-20",
"name": "Aviva Statement #8434",
"reference": "NAT#8434"
}
Response examples (200)
{
"uuid": "950f1e75-1b50-48b4-ad48-caca69e2c076",
"created_at": "2026-07-20T09:57:25+01:00",
"updated_at": "2026-07-20T09:57:25+01:00",
"number": 23,
"reference": "SW#8434",
"date": "2026-07-20",
"name": "Aviva",
"statement": {
"uuid": "32fe4c34-90d2-41d5-a89e-1f6a03d44412",
"created_at": "2026-07-20T09:57:25+01:00",
"updated_at": "2026-07-20T09:57:25+01:00",
"name": "01/06/2022 - 30/06/2022",
"start_date": "2022-06-30",
"end_date": "2022-06-01",
"locked": false,
"locked_at": "2026-07-20T09:57:25+01:00",
"locked_by": {
"uuid": "7a5c45b0-4b2e-49bc-bfa3-8dca46f8f6d9",
"created_at": "2026-07-20T09:57:30+01:00",
"updated_at": "2026-07-20T09:57:30+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-20T09:57:30+01:00",
"next_review_date": "2026-07-20T09:57:30+01:00",
"previous_review_date": "2026-07-20T09:57:30+01:00",
"anniversary_review_date": "2026-07-20T09:57:30+01:00",
"terms_of_business_at": "2026-07-20T09:57:30+01:00",
"client_agreement_at": "2026-07-20T09:57:30+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-20",
"last_interaction_at": "2026-07-20 09:57:30",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"total_expectations": {
"amount": "124585",
"currency": "GBP",
"formatted": "£1,245.85"
},
"total_statement_transactions": {
"amount": "125599",
"currency": "GBP",
"formatted": "£1,255.99"
},
"total_bank_transactions": {
"amount": "125599",
"currency": "GBP",
"formatted": "£1,255.99"
},
"total_expectation_amount_reconciled_to_bank": {
"amount": "125599",
"currency": "GBP",
"formatted": "£1,255.99"
},
"total_expectation_percentage_reconciled_to_bank": {
"amount": "8570",
"currency": "GBP",
"formatted": "£85.70"
},
"expectations_count": 6,
"statement_transactions_count": 6,
"statement_transactions": {
"uuid": "b3ab6930-63af-4612-89bd-5c222b00db04",
"created_at": "2026-07-20T09:57:31+01:00",
"updated_at": "2026-07-20T09:57:31+01:00",
"client_name": "Gareth Thompson",
"transaction_reference": "RAb0j4KbQJ",
"policy_number": "AVIVA_00001",
"date": "2026-07-20",
"gross_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"net_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"category": "initial_fee",
"payment_origin": "provider",
"agency_number": "Agency number",
"product_reference": "Product reference",
"adviser_name": "Adviser name",
"sender_id_sib_number": "Sender id sib number",
"reason": "Reason",
"auto_reconciliation_message": "No plans matching policy number AVIVA_00001.",
"scheme_name": "Scheme name",
"scheme_number": "Scheme number",
"customer_number": "Customer number",
"policy_market_value": "Policy market value",
"provider": "Aviva",
"metadata": {
"client_name": "Gareth Thompson"
}
}
},
"bank_transactions_count": 6,
"bank_transactions": [
{
"uuid": "90a3e210-d296-4bea-9f9d-26fc6177463f",
"created_at": "2026-07-20T09:57:25+01:00",
"updated_at": "2026-07-20T09:57:25+01:00",
"date": "2022-07-15",
"amount": {
"amount": "12399",
"currency": "GBP",
"formatted": "£123.99"
},
"reference": "VitalityLtd",
"metadata": {
"client_name": "Gareth Thompson"
},
"filename": "Natwest June 2022 Statement.xlsx",
"bank_statement": {
"uuid": "e18cfef8-b433-4e2b-974d-2033707e29a8",
"created_at": "2026-07-20T09:57:31+01:00",
"updated_at": "2026-07-20T09:57:31+01:00",
"number": 23,
"reference": "SW#8434",
"date": "2026-07-20",
"name": "Aviva",
"bank_transactions_count": 6,
"total_amount": null,
"reconciled_amount": null,
"reconciled_percentage": 95.68
},
"statement": {
"uuid": "55a5485c-a814-4581-864d-7149f72b0b17",
"created_at": "2026-07-20T09:57:31+01:00",
"updated_at": "2026-07-20T09:57:31+01:00",
"name": "01/06/2022 - 30/06/2022",
"start_date": "2022-06-30",
"end_date": "2022-06-01",
"locked": false,
"locked_at": "2026-07-20T09:57:31+01:00",
"total_expectations": null,
"total_statement_transactions": null,
"total_bank_transactions": null,
"total_expectation_amount_reconciled_to_bank": null,
"total_expectation_percentage_reconciled_to_bank": null,
"expectations_count": 6,
"statement_transactions_count": 6
},
"account": {
"uuid": "7a5c45b0-4b2e-49bc-bfa3-8dca46f8f6d9",
"created_at": "2026-07-20T09:57:30+01:00",
"updated_at": "2026-07-20T09:57:30+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-20T09:57:30+01:00",
"next_review_date": "2026-07-20T09:57:30+01:00",
"previous_review_date": "2026-07-20T09:57:30+01:00",
"anniversary_review_date": "2026-07-20T09:57:30+01:00",
"terms_of_business_at": "2026-07-20T09:57:30+01:00",
"client_agreement_at": "2026-07-20T09:57:30+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-20",
"last_interaction_at": "2026-07-20 09:57:30",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"firm": {
"uuid": "55e13421-cece-4700-9834-c870430644ae",
"created_at": "2026-07-20T09:57:30+01:00",
"updated_at": "2026-07-20T09:57:30+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
}
}
],
"total_amount": {
"amount": "345895",
"currency": "GBP",
"formatted": "£3,458.95"
},
"reconciled_amount": {
"amount": "12849",
"currency": "GBP",
"formatted": "£128.49"
},
"reconciled_percentage": 95.68
}